from django.contrib import admin

from ..models.faq import Faq, FaqTranslation


class FaqDescriptionInline(admin.TabularInline):
    model = FaqTranslation
    fields = ('language_code', 'name_translation', 'description_translation')
    extra = 0


class FaqAdmin(admin.ModelAdmin):
    list_display = ('name',)
    fields = ('name','description')

    inlines = [
        FaqDescriptionInline,
    ]


admin.site.register(Faq, FaqAdmin)
admin.autodiscover()
