from django.db import models
from django.utils.translation import ugettext_lazy as _

class SplitTests(models.Model):
    test_id = models.AutoField(primary_key=True)
    name = models.CharField(max_length=50, help_text='Unique test name',
                            verbose_name=_("name"))
    remote_config_key = models.CharField(max_length=50, blank=True)
    remote_config_value = models.CharField(max_length=50, blank=True)
    test_value = models.CharField(max_length=1000, blank=True)
    source = models.CharField(max_length=250, blank=True)
    active = models.BooleanField()
    valid_to = models.DateTimeField(blank=True)

    class Meta:
        db_table = 'split_tests'
        verbose_name = _("A/B Test")
        verbose_name_plural = _("A/B Tests")

    def __str__(self):
        return self.name
